## lightspeed 1.2a

=== debian/changelog ===
lightspeed (1.2a.debian.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:47:23 +0100

lightspeed (1.2a.debian.1-2) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Boyuan Yang ]
  * Rebuild for Debian Buster.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Feb 2019 18:53:37 -0500

lightspeed (1.2a.debian.1-1) unstable; urgency=medium

  * QA upload.
  * Convert package format to "3.0 (quilt)" and make all previous
    debian-specific patches into a "1.2a.debian.1" pseudo-upstream
    release.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Remove build-dependency to autotool-dev, not necessary under
      new debhelper.
    + Update suggestion to font packages to use real packages instead
      of transitional dummy packages.
    + Use Salsa platform for Vcs fields.
  * debian/menu: Removed in favour of new .desktop file.
  * debian/rules: Enable full hardening.
  * debian/watch: Update to v4.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 21:14:40 -0400

lightspeed (1.2a-10) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.9.5 (was 3.9.3): no changes required.
  * Fix FTBFS using Clang. (Closes: #739568) [Thanks to Arthur Marble]
  * Fix lintian note vcs-field-not-canonical.
  * Update get-orig-source section in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Sat, 01 Mar 2014 17:46:40 +0400

lightspeed (1.2a-9) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.7.2.0).
  * Bumped debhelper version to 9 (was 4.0.0); updated debian/compat.
  * Added file debian/source/format: format 1.0 is still used in this package.
  * Added files debian/docs and debian/manpages to simplify debian/rules.
  * Deleted files config/config.guess and config/config.sub.
    Files from the package autotools-dev are used instead.
  * Rewritten debian/rules:
    - now dh is used instead of direct dh_* commands
    - added --as-needed option to LDFLAGS
    - added section get-orig-source (uscan is used)
    - used symlinks for config/config.guess and config/config.sub
    - fixed lintian warnings:
      + hardening-no-relro
      + hardening-no-fortify-functions
      + debian-rules-ignores-make-clean-error
      + debian-rules-missing-recommended-target build-arch
      + debian-rules-missing-recommended-target build-indep
      + dh-clean-k-is-deprecated
  * Updated debian/control:
    - added Homepage field
    - added Vcs-* fields (Git repo in collab-maint is available now)
    - changed build dependency from libpng12-dev to libpng-dev (Closes: #662418)
    - changed build dependency from ftgl-dev to libftgl-dev (Closes: #485799)
    - changed build dependency from libtiff4-dev to libtiff-dev
      (preparation for switching to libtiff5 in Debian Jessie)
    - added build dependency from autotools-dev
    - added ${misc:Depends} to list of dependencies
    - lightspeed now suggests recommended font ttf-dejavu instead of font
      ttf-bitstream-vera which is going to be removed from the repository
      (Closes: #461272)
  * Updated debian/copyright: fixed lintian warning
    debian-copyright-file-uses-obsolete-national-encoding.
  * Updated debian/watch: fixed lintian warning
    debian-watch-file-should-use-sf-redirector. (Closes: #449901)
  * Patched file src/snapshot.c. [Thanks to Nobuhiro Iwamatsu] (Closes: #649787)
    But build with libpng version 1.5.10 now impossible because
    `pkg-config --cflags gtk+-2.0` returns error:
    "Package 'libpng12', required by 'GdkPixbuf', not found"

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 20 Nov 2012 00:36:27 +0200

lightspeed (1.2a-8) unstable; urgency=low

  * Package maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Sat, 05 Nov 2011 17:15:09 +0100

lightspeed (1.2a-7) unstable; urgency=high

  * Workaround for FcFini problem in fontconfig package. Commenting out
    that line and now the program can start. Closes: #402402. It should
    be changed back when the cause is found.

 -- Ola Lundqvist <opal@debian.org>  Tue, 12 Dec 2006 07:00:55 +0100

lightspeed (1.2a-6) unstable; urgency=low

  * NMU : converted to GTK2,  for bug 354650
  * changed GL dependency to : libgl1-mesa-dev | libgl-dev
  * use 'fontconfig' to find a font for FTGL

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 15 May 2006 10:10:38 +0200

lightspeed (1.2a-5) experimental; urgency=low

  * use UTF-8 for widgets
  * use FTGL library for fonts in GL, and  FreeSans from 'ttf-freefont' ;
    this may support UTF-8 in GL (I hope )

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 13 May 2006 16:19:23 +0200

lightspeed (1.2a-4) experimental; urgency=low

  * update to Standards-Version: 3.7.2.0 (no changes)
  * bug fixed: saving snapshot works
  * bug fixed: gettext works
  * minor bugs: while saving, the counter is not shown on screen

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 11 May 2006 15:57:39 +0200

lightspeed (1.2a-3) experimental; urgency=low

  * delete debian/post{inst,rm}.debhelper
  * convert to GTK2
  * install es.gmo
  * bug: saving the snapshot does not work OK

 -- A Mennucc1 <mennucc1@debian.org>  Sun,  7 May 2006 22:05:47 +0200

lightspeed (1.2a-2) unreleased

  * second step : more carefully review rejected patches
  * re-add i18n setup
  * updated to latest autoconf standards
    - dont use confpath.h , config.h is enough
    - do not use acconfig.h, use description in AC_DEFINE
          and gettext.h and autoheader
  * fix changelog to proper UTF

 -- A Mennucc <mennucc1@debian.org>  Sun,  7 May 2006 10:18:23 +0200

lightspeed (1.2a-1) unreleased

  * New upstream release

