=== debian/control ===
Source: lightspeed
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libfontconfig1-dev,
 libftgl-dev,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
 libpng-dev,
 libtiff-dev,
 libxi-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Homepage: http://lightspeed.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/lightspeed.git
Vcs-Browser: https://salsa.debian.org/debian/lightspeed
Standards-Version: 4.3.0

Package: lightspeed
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 fonts-freefont-ttf | fonts-dejavu,
Description: Shows how objects moving at relativistic speeds look like
 Light Speed! is an OpenGL-based program which illustrates the effects of
 special relativity on the appearance of moving objects. When an object
 accelerates past a few million meters per second, these effects begin to
 grow noticeable, becoming more and more pronounced as the speed of light
 is approached. These relativistic effects are viewpoint-dependent, and
 include shifts in length, object hue, brightness and shape.
 .
 The moving object is, by default, a geometric lattice. 3D Studio and
 LightWave 3D objects may be imported as well. Best of all, the simulator
 is completely interactive, rendering the exotic distortions in real-time!
