=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))

%:
	dh $@

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.guess config/config.guess
	ln -sf /usr/share/misc/config.sub config/config.sub
	dh_auto_configure -- --with-gtk=2 --with-ftgl

override_dh_auto_clean:
	dh_testroot
	dh_auto_clean
	rm -f build-stamp
	rm -f po/es.gmo po/stamp-po
	rm -f config/config.guess config/config.sub

override_dh_auto_build:
	dh_auto_build -- LDFLAGS+=-Wl,--as-needed
	cd po ; $(MAKE) es.gmo

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/lightspeed

get-orig-source:
	uscan --noconf --verbose --force-download --rename $(DEBIAN_PATH) --destdir $(CURDIR)
