=== debian/watch ===
version=4
opts="dversionmangle=s/\.debian\.\d//" https://sf.net/lightspeed/lightspeed-(.+)\.tar\.gz \
debian uupdate
